GIRAFFE_DECLARE_VALUE_RECORD(hb_feature_t, harf_buzz_feature_t)
GIRAFFE_DECLARE_FIELD(hb_feature_t, harf_buzz_feature_t, tag)
GIRAFFE_DECLARE_FIELD(hb_feature_t, harf_buzz_feature_t, value)
GIRAFFE_DECLARE_FIELD(hb_feature_t, harf_buzz_feature_t, start)
GIRAFFE_DECLARE_FIELD(hb_feature_t, harf_buzz_feature_t, end)
GIRAFFE_DECLARE_VALUE_RECORD(hb_font_extents_t, harf_buzz_font_extents_t)
GIRAFFE_DECLARE_FIELD(hb_font_extents_t, harf_buzz_font_extents_t, ascender)
GIRAFFE_DECLARE_FIELD(hb_font_extents_t, harf_buzz_font_extents_t, descender)
GIRAFFE_DECLARE_FIELD(hb_font_extents_t, harf_buzz_font_extents_t, line_gap)
GIRAFFE_DECLARE_VALUE_RECORD(hb_glyph_extents_t, harf_buzz_glyph_extents_t)
GIRAFFE_DECLARE_FIELD(hb_glyph_extents_t, harf_buzz_glyph_extents_t, x_bearing)
GIRAFFE_DECLARE_FIELD(hb_glyph_extents_t, harf_buzz_glyph_extents_t, y_bearing)
GIRAFFE_DECLARE_FIELD(hb_glyph_extents_t, harf_buzz_glyph_extents_t, width)
GIRAFFE_DECLARE_FIELD(hb_glyph_extents_t, harf_buzz_glyph_extents_t, height)
GIRAFFE_DECLARE_FIELD(hb_glyph_info_t, harf_buzz_glyph_info_t, codepoint)
GIRAFFE_DECLARE_FIELD(hb_glyph_info_t, harf_buzz_glyph_info_t, cluster)
GIRAFFE_DECLARE_FIELD(hb_glyph_position_t, harf_buzz_glyph_position_t, x_advance)
GIRAFFE_DECLARE_FIELD(hb_glyph_position_t, harf_buzz_glyph_position_t, y_advance)
GIRAFFE_DECLARE_FIELD(hb_glyph_position_t, harf_buzz_glyph_position_t, x_offset)
GIRAFFE_DECLARE_FIELD(hb_glyph_position_t, harf_buzz_glyph_position_t, y_offset)
#if HB_CHECK_VERSION(2, 1, 0)
GIRAFFE_DECLARE_VALUE_RECORD(hb_ot_color_layer_t, harf_buzz_ot_color_layer_t)
#endif
GIRAFFE_DECLARE_FIELD(hb_ot_color_layer_t, harf_buzz_ot_color_layer_t, glyph)
GIRAFFE_DECLARE_FIELD(hb_ot_color_layer_t, harf_buzz_ot_color_layer_t, color_index)
GIRAFFE_DECLARE_FIELD(hb_ot_math_glyph_part_t, harf_buzz_ot_math_glyph_part_t, glyph)
GIRAFFE_DECLARE_FIELD(hb_ot_math_glyph_part_t, harf_buzz_ot_math_glyph_part_t, start_connector_length)
GIRAFFE_DECLARE_FIELD(hb_ot_math_glyph_part_t, harf_buzz_ot_math_glyph_part_t, end_connector_length)
GIRAFFE_DECLARE_FIELD(hb_ot_math_glyph_part_t, harf_buzz_ot_math_glyph_part_t, full_advance)
GIRAFFE_DECLARE_FIELD(hb_ot_math_glyph_part_t, harf_buzz_ot_math_glyph_part_t, flags)
GIRAFFE_DECLARE_FIELD(hb_ot_math_glyph_variant_t, harf_buzz_ot_math_glyph_variant_t, glyph)
GIRAFFE_DECLARE_FIELD(hb_ot_math_glyph_variant_t, harf_buzz_ot_math_glyph_variant_t, advance)
#if HB_CHECK_VERSION(2, 2, 0)
GIRAFFE_DECLARE_VALUE_RECORD(hb_ot_var_axis_info_t, harf_buzz_ot_var_axis_info_t)
#endif
GIRAFFE_DECLARE_FIELD(hb_ot_var_axis_info_t, harf_buzz_ot_var_axis_info_t, axis_index)
GIRAFFE_DECLARE_FIELD(hb_ot_var_axis_info_t, harf_buzz_ot_var_axis_info_t, tag)
GIRAFFE_DECLARE_FIELD(hb_ot_var_axis_info_t, harf_buzz_ot_var_axis_info_t, name_id)
GIRAFFE_DECLARE_FIELD(hb_ot_var_axis_info_t, harf_buzz_ot_var_axis_info_t, flags)
GIRAFFE_DECLARE_FIELD(hb_ot_var_axis_info_t, harf_buzz_ot_var_axis_info_t, min_value)
GIRAFFE_DECLARE_FIELD(hb_ot_var_axis_info_t, harf_buzz_ot_var_axis_info_t, default_value)
GIRAFFE_DECLARE_FIELD(hb_ot_var_axis_info_t, harf_buzz_ot_var_axis_info_t, max_value)
#if HB_CHECK_VERSION(1, 4, 2)
GIRAFFE_DECLARE_VALUE_RECORD(hb_ot_var_axis_t, harf_buzz_ot_var_axis_t)
#endif
GIRAFFE_DECLARE_FIELD(hb_ot_var_axis_t, harf_buzz_ot_var_axis_t, tag)
GIRAFFE_DECLARE_FIELD(hb_ot_var_axis_t, harf_buzz_ot_var_axis_t, name_id)
GIRAFFE_DECLARE_FIELD(hb_ot_var_axis_t, harf_buzz_ot_var_axis_t, min_value)
GIRAFFE_DECLARE_FIELD(hb_ot_var_axis_t, harf_buzz_ot_var_axis_t, default_value)
GIRAFFE_DECLARE_FIELD(hb_ot_var_axis_t, harf_buzz_ot_var_axis_t, max_value)
GIRAFFE_DECLARE_VALUE_RECORD(hb_segment_properties_t, harf_buzz_segment_properties_t)
GIRAFFE_DECLARE_FIELD(hb_segment_properties_t, harf_buzz_segment_properties_t, direction)
GIRAFFE_DECLARE_FIELD(hb_segment_properties_t, harf_buzz_segment_properties_t, script)
#if HB_CHECK_VERSION(1, 4, 2)
GIRAFFE_DECLARE_VALUE_RECORD(hb_variation_t, harf_buzz_variation_t)
#endif
GIRAFFE_DECLARE_FIELD(hb_variation_t, harf_buzz_variation_t, tag)
GIRAFFE_DECLARE_FIELD(hb_variation_t, harf_buzz_variation_t, value)
